︠3b7f11c4-03b2-4ccd-a9d8-83d96e55ee1di︠
%md
# Un modèle pour la loi de l'offre et la demande
## Le théorème de la toile d'araignée.
︡223a36a1-bd5a-4d0c-badb-8bb06918660c︡{"md":"# Un modèle pour la loi de l'offre et la demande\n## Le théorème de la toile d'araignée.\n"}︡
︠a10f8c69-c977-4dfc-947f-ef8a4c9e72eci︠
%md
On donne quelques valeurs numériques, pour illustrer.
︡c83009d1-def0-45ff-8274-d67ee3cb7e48︡{"md":"On donne quelques valeurs numériques, pour illustrer.\n"}︡
︠9f9f9f9b-5eaf-4217-bd80-70b9310fc2d9s︠
a = 15
b = -1.5
a_1 = 1
b_1 = 1.2
︡1b36efab-6035-47e0-8b65-c2de2bc13c38︡{"done":true}︡
︠c0d5ce2a-4cbc-412c-8650-a0051d2e29b4i︠
%md
On définit la fonction de demande, et d'offre.
︡9206a872-077e-4b87-a6ca-36446a80aa24︡{"md":"On définit la fonction de demande, et d'offre.\n"}︡
︠11b6d60e-27c4-4a74-8034-ce90389390a6s︠
var('p')
def D(p):
	return a+b*p

def S(p) :
	return a_1 + b_1 * p
︡445fb4ee-7e79-4570-b165-23942a9bba7f︡{"stdout":"p\n"}︡{"done":true}︡
︠d5aa8c41-6ddf-4152-852c-ba4e76525915i︠
%md
On calcule le prix d'équilibre, on initialise le prix initial $p_0$, et on spécifie le nombre de points voulus, $N$
︡4dafe00f-cabd-4fd5-9a6b-81b143c781e6︡{"md":"On calcule le prix d'équilibre, on initialise le prix initial $p_0$, et on spécifie le nombre de points voulus, $N$\n"}︡
︠ab2e27d8-1474-45a6-bb4d-0137cd7c07e6s︠
p_e= (a_1-a)/(b-b_1)
p_0=1
N=20
︡b9230f2f-8334-4f14-8674-6e1117ae987a︡{"done":true}︡
︠c4c2d48e-02a5-4372-babf-ddac5c61ba77s︠
p_e
p_0
︡a2476798-0abc-47bc-aeeb-df1afc28eed7︡{"stdout":"5.18518518518519\n"}︡{"stdout":"1\n"}︡{"done":true}︡
︠3cf41064-5128-4e70-b3ef-6b0ca660f152s︠

︡05edaf2b-6f14-4b8b-8b54-99de6745a1e9︡{"done":true}︡
︠5dcab84a-43c4-4404-8994-69a824e193f2s︠
Prix = [(p_0-p_e)*(b_1/b)^t +p_e for t in range(N)]
︡91430849-2a0b-46f0-9eae-54490fd84787︡{"done":true}︡
︠3a48c09f-73b6-4bd3-a51e-03ffbdb98103s︠
Pts =[ (k, Prix[k]) for k in range(N)]
︡a40fb581-28b0-4c67-a974-b08df2d10d8a︡{"done":true}︡
︠5a581333-88e4-4e3d-a956-8c226f05dd41s︠
PxLine= line(Pts, color='red', linestyle ="dashed")
Pe = plot(p_e, 0, N, color='blue', linestyle = "dashed")
C1 = plot((p_0-p_e)*(-b_1/b)^x+p_e, (x,0, N), color='green', linestyle = "dotted")
C2 = plot(-(p_0-p_e)*(-b_1/b)^x+p_e, (x,0, N), color='green', linestyle = "dotted")
C = plot((p_0-p_e)*(b_1/b)^floor(x)+p_e, (x,0, N), color='red')

show(PxLine+ Pe+C1 + C2+ C,  axes_labels=['$t$','$p(t)$'], ticks=[[],[]])
︡2aaaa77c-6822-4978-9964-2b4349953a93︡{"file":{"filename":"/projects/db013a35-ea11-498b-a802-aaeadc1fa2a7/.sage/temp/compute3-us/32049/tmp_ZphD1o.svg","show":true,"text":null,"uuid":"459088d7-cedc-4f59-a2d1-d3d17061f46b"},"once":false}︡{"done":true}︡
︠8e9895d2-717b-44ab-8ac4-35896a30f622s︠

def F(x) :
	return (a_1 - a)/b + (b_1/b)*x

︡b33c5569-6a02-4a60-af27-b918de469bc3︡{"done":true}︡
︠04a6e122-1d70-4596-9df2-f2d1a3c99661s︠
Offre = plot(S(x),(0,10), color="red", legend_label = "Offre")
Demande = plot(D(x),(0,10), color="blue", legend_label = "Demande")
show(Offre + Demande, figsize=6)
︡4051a18f-901c-45cc-949e-032ea8ced9a8︡{"file":{"filename":"/projects/db013a35-ea11-498b-a802-aaeadc1fa2a7/.sage/temp/compute3-us/32049/tmp_SZGYsS.svg","show":true,"text":null,"uuid":"a7c04c63-547d-4097-8b7f-bd859b54363d"},"once":false}︡{"done":true}︡
︠4d3268b1-7733-40cc-8773-c2fde34a8298i︠
%md
On rajoute le diagramme de la toile d'araignée.
︡98d4a394-8f85-4e82-9f45-c9ab8d74e94d︡{"md":"On rajoute le diagramme de la toile d'araignée.\n"}︡
︠d83177f6-625b-4270-9b65-19c13851a4bfs︠

︡e1b992a2-2c5b-4012-a3d3-12769a18526d︡{"done":true}︡
︠a5381aea-1c7e-475b-991b-3a2ded5a351ds︠
Points = [(Prix[0],S(Prix[0]))]
for i in range(10) :
	Points = Points + [(Prix[i+1], D(Prix[i+1])), (Prix[i+1], S(Prix[i+1]))]
︡41d3f8b2-a81e-469d-b4c4-3d2480a05e19︡{"done":true}
︠da717375-ea53-4715-b9b5-25d46902091as︠

︡2d48dc68-c1fe-4efb-88cf-a9c2f29c8c9b︡{"done":true}
︠17268c7d-3eea-462c-9f5d-48b10d703aafr︠
Toile = line(Points, color='green')
show(Offre + Demande + Toile)
︡a39981e4-2fbe-4fc8-98a3-6b5dff38246c︡{"once":false,"file":{"show":true,"uuid":"84669910-ce4e-4e6e-bdb6-e96b4e30d019","filename":"/projects/db013a35-ea11-498b-a802-aaeadc1fa2a7/.sage/temp/compute1-us/22622/tmp_9QUjDo.svg"}}︡{"html":"<div align='center'></div>"}︡
︠3537472e-c267-4d44-a174-4fc47ffd2fce︠

︠f268a7dd-b8f6-4f25-bd0b-bcec73be3eaf︠









